complexType "CommodityForward"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 14 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, assetClass*, embeddedOptionType[0..2])?, valueDate?, (fixedLeg | averagePriceLeg)?, commodityForwardLeg?, (commonPricing?, marketDisruption?, settlementDisruption?, rounding?)?
</...>

Content Model Elements (14):

  assetClass (defined in Product.model group), averagePriceLeg, commodityForwardLeg, commonPricing, embeddedOptionType, fixedLeg (in commodityForward), marketDisruption (defined in CommodityContent.model group), | primaryAssetClass (defined in Product.model group), productId (defined in Product.model group), productType (defined in Product.model group), rounding (defined in CommodityContent.model group), secondaryAssetClass (defined in Product.model group), settlementDisruption, valueDate (in commodityForward)

All Direct / Indirect Based Elements (1):

  commodityForward

Known Usage Locations

- As direct type of elements (1):
  commodityForward

Annotation
Commodity Forward
Type Definition Detail

Type Derivation Tree Product (extension) CommodityForward

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CommodityForward"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="valueDate" type="AdjustableOrRelativeDate"/> <xsd:choice minOccurs="0"> <xsd:element name="fixedLeg" type="NonPeriodicFixedPriceLeg"/> <xsd:element name="averagePriceLeg" type="AveragePriceLeg"/> </xsd:choice> <xsd:element minOccurs="0" ref="commodityForwardLeg"/> <xsd:group minOccurs="0" ref="CommodityContent.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/14)
averagePriceLeg

  Type: | AveragePriceLeg, complex content

  Specifies the calculated floating price leg of a Commodity Forward Transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="averagePriceLeg" type="AveragePriceLeg"/>

commodityForwardLeg

  Type: | CommodityForwardLeg, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 2 elements

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="commodityForwardLeg"/>

fixedLeg

  Type: | NonPeriodicFixedPriceLeg, complex content

  The fixed leg of a Commodity Forward Transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fixedLeg" type="NonPeriodicFixedPriceLeg"/>

valueDate

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the value date of the Commodity Forward Transaction. This is the day on which both the cash and the physical commodity settle.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valueDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.